apiVersion: batch/v1
kind: Job
metadata:
  name: pypi-importer-fourth
  namespace: kbambridge
spec:
  backoffLimit: 1
  completions: 1
  parallelism: 1
  template:
    spec:
      containers:
      - image: infra.docker.zooxlabs.com/pypi-importer:parallel
        imagePullPolicy: Always
        name: pypi-importer
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        resources:
          limits:
            cpu: 30
            memory: 5Gi
          requests:
            cpu: 20
            memory: 5Gi
      dnsPolicy: ClusterFirst
      restartPolicy: Never
      schedulerName: default-scheduler
      terminationGracePeriodSeconds: 30
